Get categorization job status and mappings

Get the status of a categorization job with the Smart Categorization API.

Learn how to retrieve the current status and results of a categorization job that was previously submitted.

Endpoint

GET /public-api/categorize/status/{jobId}

Returns the current status and results for a previously submitted categorization job.

Authentication

All requests require a valid bearer token in the Authorization header.

Authorization: Bearer {ACCESS_TOKEN}

Path parameter

PropertyTypeRequiredDescription
jobIdstringYesThe UUID of the categorization job returned by the create endpoint.

Example

curl --request GET \
  --url https://smartcategorization.vertexcloud.com/public-api/categorize/status/7ecf0bb0-8a90-4fc0-8e51-7c2f1d5a553e \
  --header "Authorization: Bearer {ACCESS_TOKEN}"

Response

{
  "id": "7ecf0bb0-8a90-4fc0-8e51-7c2f1d5a553e",
  "clientVertexId": "4e0864e9-2a1d-4d8f-aeb7-2677f1a19462",
  "startTime": "2026-09-25T12:00:00Z",
  "endTime": "2026-09-25T12:00:20Z",
  "persistent": false,
  "numProducts": 1,
  "numIssues": 0,
  "status": "completed",
  "result": "Success"
}

Errors

StatusDescription
401 UnauthorizedThe bearer token is missing, expired, or invalid.
403 ForbiddenThe caller does not have access to this job.
404 Not FoundThe job ID does not exist.

Did this page help you?